#!/usr/bin/python
# -*- coding: utf-8 -*-

import argparse
import re


if __name__ == "__main__":
    p = argparse.ArgumentParser()
    p.add_argument("track")
    p.add_argument("plan")
    args = p.parse_args()

    grid = []
    pos_x = None
    pos_y = None
    with open(args.track) as f:
        grid = [list(l.strip()) for l in f.readlines()[1:]]
        for y in range(len(grid)):
            for x in range(len(grid[y])):
                if grid[y][x] == "s":
                    pos_x = x
                    pos_y = y
                    break
            if pos_x != None:
                break

    accel_regex = re.compile("accel\d+_(-?\d+)_(-?\d+)")
    accels = []
    with open(args.plan) as f:
        for l in f.readlines():
            m = accel_regex.search(l)
            if m != None:
                accels.append((int(m.group(1)), int(m.group(2))))

    velo_x = 0
    velo_y = 0
    grid[pos_y][pos_x] = "A" # str(0)
    for step in range(len(accels)):
        velo_x += accels[step][0]
        velo_y += accels[step][1]
        pos_x += velo_x
        pos_y += velo_y
        grid[pos_y][pos_x] = "A" # str(step + 1)

    for y in range(len(grid)):
        print("".join(grid[y]))

    #print(", ".join(["(%d, %d)" % (
    #    sum([accels[j][0] for j in range(i)]),
    #    sum([accels[j][1] for j in range(i)]))
    #    for i in range(len(accels)+1)]))




